Bug 493839 - S-c-tools cleanup: inputs checking
S-c-tools cleanup: inputs checking
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: F12Target 493608
  Show dependency treegraph
 
Reported: 2009-04-03 05:59 EDT by Roman Rakus
Modified: 2014-01-12 19:08 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.1.11-1.fc12
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-07 13:13:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roman Rakus 2009-04-03 05:59:47 EDT
Description of problem:
Every input should be tested and/or filtered.

How reproducible:
Basic Server Settings - Advanced - IP address check

Steps to Reproduce:
Do something without sense. For example fill IP address field with zywe

Actual results:
Tool will not notify user, that he write it wrong.

Expected results:
In some cases you can filter input (appropriate settings on widget). Notify user about his mistake and don't let tool to traceback.

Additional info:
You can set appropriate settings. You can use signal changed and/or focus-out for text fields.
Comment 1 Tim Waugh 2009-04-03 12:31:03 EDT
Hostnames are also allowed there but discouraged.
Comment 2 Mark McLoughlin 2009-04-30 02:50:31 EDT
Pretty sure this was meant to block F11Target, not depend on it

Note You need to log in before you can comment on or make changes to this bug.